Skip to main content
GET
/
battery_health
Get Battery Health
curl --request GET \
  --url https://api.tessie.com/battery_health \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tessie.com/battery_health"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tessie.com/battery_health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "vin": "5YJXCAE43LF123456",
      "plate": "VT782CE",
      "odometer": 16380.9,
      "max_range": 303.48,
      "max_ideal_range": 1196,
      "capacity": 96.7,
      "original_capacity": 97.15,
      "degradation_percent": 0.5,
      "health_percent": 99.5
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
number

The start of the timeframe. Unix timestamp in seconds.

to
number

The end of the timeframe. Unix timestamp in seconds.

distance_format
enum<string>
default:mi

Whether to return data in miles or kilometers.

Available options:
mi,
km
only_active
boolean
default:false

Whether to include only active vehicles in the response.

Example:

true

Response

200 - application/json

Success

results
object[]